#
# spec file for package python-mutt-ics
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-mutt-ics
Version:        0.9
Release:        2.1
Summary:        A tool to show calendar event details in Mutt
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dmedvinsky/mutt-ics
Source0:        https://files.pythonhosted.org/packages/source/m/mutt_ics/mutt_ics-%{version}.tar.gz
Source1:        LICENSE.mit
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-icalendar >= 3.9.0
Requires:       python-setuptools
BuildArch:      noarch
%ifpython3
Provides:       mutt-ics
Provides:       mutt_ics
%endif
%python_subpackages

%description
A tool to show calendar event details in Mutt.

%prep
%setup -q -n mutt_ics-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
install -pm 0644 %{SOURCE1} LICENSE

%check
# no upstream tests
# however, there are samples/ on github at least
# https://github.com/dmedvinsky/mutt-ics/issues/19
# could we write small tests here?

%files %{python_files}
%doc README.md
%license LICENSE
%python3_only %{_bindir}/mutt-ics
%{python_sitelib}/*

%changelog
* Tue Mar 26 2019 pgajdos@suse.com
- require python-setuptools
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 0.9
  * Use `try` to recognize naive datetime.
* Tue Nov  6 2018 mpluskal@suse.com
- Initial changelog entry for version 0.8
